---------------------------------------------------------
---------------------------------------------------------
-- Purpose: Drop processing data DMKR_ASLINE schema for DB2 ZOS
-- The following script will clear out the Assembly Line 
-- processing tables for your 12.3 ODEE system where the 
-- database type is DB2 ZOS.
-- Usage: Change the string “&3.”  (3 characters) with 
-- your Assembly Line schema name/DB user.  Then uncomment
-- the SET, ALTER, TRUNCATE, and COMMIT statements.
---------------------------------------------------------
---------------------------------------------------------

---------------------------------------------------------
---------------------------------------------------------
-- Drop processing data DMKR_ASLINE schema
---------------------------------------------------------
---------------------------------------------------------

-- Uncomment the set line here:
--#SET TERMINATOR @
--<ScriptOptions statementTerminator="@"/>

-- Uncomment from here below
-- SET CURRENT RULES = 'STD'@
-- SET CURRENT SQLID =  '&3.'@
-- SET SCHEMA &3.@
-- SET CURRENT SCHEMA = &3.@
-- SET CURRENT PATH = &3.,SYSFUN,SYSPROC@

-- ALTER TABLE "&3."."BCHS" DROP CONSTRAINT "BCHS_PK"@
-- ALTER TABLE "&3."."BCHS" DROP CONSTRAINT "BCHS_UNIQUE_ID"@
-- ALTER TABLE "&3."."RCPS" DROP CONSTRAINT "TRNS_RCPS"@
-- ALTER TABLE "&3."."RCPS" DROP CONSTRAINT "RCPS_PK"@
-- ALTER TABLE "&3."."RCPS" DROP CONSTRAINT "RCPUNIQUE_ID"@
-- ALTER TABLE "&3."."TRNS" DROP CONSTRAINT "JOBS_TRNS"@
-- ALTER TABLE "&3."."TRNS" DROP CONSTRAINT "TRNS_FORMSETID"@
-- ALTER TABLE "&3."."TRNS" DROP CONSTRAINT "TRNS_PK"@
-- ALTER TABLE "&3."."TRNS" DROP CONSTRAINT "TRNS_UNIQUE_ID"@
-- ALTER TABLE "&3."."JOBS" DROP CONSTRAINT "JOBS_PK"@
-- ALTER TABLE "&3."."JOBS" DROP CONSTRAINT "JOBS_UNIQUE_ID"@

-- TRUNCATE TABLE &3..BCHS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..PUBS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..BCHS_RCPS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..RCPS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..TRNS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..JOBS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..PUBSHIST DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..BCHS_RCPSHIST DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..BCHSHIST DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..RCPSHIST DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..TRNSHIST DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..JOBSHIST DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..LOGS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@
-- TRUNCATE TABLE &3..ERRS DROP STORAGE IGNORE DELETE TRIGGERS IMMEDIATE@

-- ALTER TABLE "&3."."JOBS" ADD CONSTRAINT "JOBS_PK" PRIMARY KEY ("JOB_ID")@
-- ALTER TABLE "&3."."JOBS" ADD CONSTRAINT "JOBS_UNIQUE_ID" UNIQUE ("JOBUNIQUE_ID")@
-- ALTER TABLE "&3."."TRNS" ADD CONSTRAINT "JOBS_TRNS" FOREIGN KEY ("JOB_ID") REFERENCES "&3."."JOBS" ("JOB_ID")ON DELETE RESTRICT@
-- ALTER TABLE "&3."."TRNS" ADD CONSTRAINT "TRNS_FORMSETID" UNIQUE ("FORMSETID")@
-- ALTER TABLE "&3."."TRNS" ADD CONSTRAINT "TRNS_PK" PRIMARY KEY ("TRN_ID")@
-- ALTER TABLE "&3."."TRNS" ADD CONSTRAINT "TRNS_UNIQUE_ID" UNIQUE ("UNIQUE_ID")@
-- ALTER TABLE "&3."."RCPS" ADD CONSTRAINT "RCPS_PK" PRIMARY KEY ("RCP_ID","TRN_ID")@
-- ALTER TABLE "&3."."RCPS" ADD CONSTRAINT "RCPUNIQUE_ID" UNIQUE ("RCPUNIQUE_ID")@
-- ALTER TABLE "&3."."RCPS" ADD CONSTRAINT "TRNS_RCPS" FOREIGN KEY ("TRN_ID") REFERENCES "&3."."TRNS" ("TRN_ID") ON DELETE RESTRICT@
-- ALTER TABLE "&3."."BCHS" ADD CONSTRAINT "BCHS_PK" PRIMARY KEY ("BCH_ID")@
-- ALTER TABLE "&3."."BCHS" ADD CONSTRAINT "BCHS_UNIQUE_ID" UNIQUE ("BCHUNIQUE_ID")@


-- COMMIT@
